body {
    background: #34332F; /* dark background */
    margin: 0;
    font-family: 'Jura', system-ui, sans-serif;
}

/* Main app wrapper */
.app-wrapper {
    min-height: 100vh;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.app-wrapper::before {
    min-height: 100vh;
    margin: 0 auto;
    content: "";
    position: absolute;
    inset: 0;

    background-image: url('/assets/images/background.jpg');
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: right center;

    opacity: 0.4;
    z-index: -1;
}

/* iPad / tablet scaling */
@media (min-width: 768px) {
    .app-wrapper {
        overflow: hidden;
        box-shadow: 0 20px 60px rgba(0,0,0,0.5);
    }

    .app-wrapper::before {
        min-height: 100vh;
        margin: 0 auto;
        content: "";
        position: absolute;
        inset: 0;

        background-image: url('/assets/images/background.jpg');
        background-repeat: no-repeat;
        background-size: auto 100%;
        background-position: right center;

        opacity: 0.4;
        z-index: -1;
    }
}

.app-header {
    width: 100%;
    height: 100px;
    display: flex;
    padding: 16px;
    justify-content: space-between;
}
.app-header p {
    color: #FFFFFF;
    opacity: 0.6;
    position: absolute;
    margin-top: -72px;
}
.app-header .logo {
    margin-left: 16px;
}
.app-header .logo img{
    margin-top: -16px;
    margin-left: 16px;
}
.app-header .power-btn {
    margin-right: -16px;
}

/* Main content */
.app-content {
    padding: 24px;
    font-size: 24px;
    color: #6F8085;
}
.app-content td span {
    font-size: 30px;
    color: #DBCECE;
}

.app-content .dashboard {
    margin-top: 18px;
}

.app-content .dashboard #current-temp span {
    font-size: 80px;
    color: #DBCECE;
    display: block;
    margin-top: 20px;
}
.app-content .dashboard #current-temp i {
    color: #6F8085;
    display: none;
}

.app-content h1 {
    font-size: 24px;
    color: #65BCD5;
    margin: 0;
}

.app-content h2 {
    font-size: 24px;
    color: #AAAAAA;
    margin-bottom: 0;
}

/* Footer / controls */
.app-footer {
    padding: 16px;
    display: flex;
    overflow-y: hidden;
    overflow-x: auto;
    width: 100%;
}
.app-footer .room {
    width: 72px;
    height: 72px;
    border-radius: 50%;
    background: #d9d9d930;
    border: 2px solid #6F8085;
    font-size: 23px;
    color: #DBCECE;
    text-align: center;
    padding-top: 16px;
    margin-right: 16px;
}
.app-footer .room .item i {
    font-size: 12px;
}

.app-footer .room .item + span {
    color: #DBCECE;
    font-size: 12px;
    display: inline-block;
    margin-top: 22px;
}

:root {
    --dial-size: 640px;
}

body {
    background: #0f172a;
    margin: 0;
    font-family: 'Jura', sans-serif;
}

/* ===== CONTAINER ===== */
.dial-container {
    width: var(--dial-size);
    height: var(--dial-size);
    position: fixed;
    right: -420px;
    top: 110px;
    touch-action: none;
}

/* ===== ARC ===== */
.arc {
    position: absolute;
    width: 100%;
    height: 100%;
    transform: rotate(-90deg);
}

.arc-bg {
    fill: none;
    stroke: rgba(255,255,255,0.1);
    stroke-width: 6;
}

.arc-active {
    fill: none;
    stroke: #6F8085;
    stroke-width: 6;
    stroke-linecap: round;

    stroke-dasharray: 565;
    stroke-dashoffset: 565;

    transition: stroke-dashoffset 0.1s linear;
}

/* ===== TICKS ===== */
.ticks {
    position: absolute;
    width: 100%;
    height: 100%;
}

.tick {
    position: absolute;
    width: 3px;
    height: 18px;
    background: #65BCD5;
    top: 0;
    left: 50%;
    transform-origin: center calc(var(--dial-size) / 2);
}

.tick.big {
    height: 30px;
    background: #38bdf8;

}

/* ===== CENTER ===== */
.center-dot {
    width: 18px;
    height: 18px;
    background: #38bdf8;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* ===== TEMP ===== */
.temp-display {
    text-align: center;
    font-size: 64px;
    color: #38bdf8;
}

#temp-wrapper {
    position: fixed;
    left: calc(100% - 164px);
    top: 383px;
}

#temp-wrapper #temp {
    font-size: 64px;
    color: #65BCD5;
    margin-top: -23px;
    display: block;
}

.disabled {
    color: #6F8085!important;
}
